$general-breakpoints: (
  'min-xs': (
    min-width: 449px,
  ),
  'max-xs': (
    max-width: 449px,
  ),
  'min-sm': (
    min-width: 576px,
  ),
  'max-sm': (
    max-width: 576px,
  ),
  'min-md': (
    min-width: 768px,
  ),
  'max-md': (
    max-width: 768px,
  ),
  'min-lg': (
    min-width: 992px,
  ),
  'max-lg': (
    max-width: 992px,
  ),
  'min-xl': (
    min-width: 1200px,
  ),
  'max-xl': (
    max-width: 1200px,
  ),
  'min-xxl': (
    min-width: 1400px,
  ),
  'max-xxl': (
    max-width: 1400px,
  ),
) !default;

/**
* Adicionar media query para apenas um breakpoint, como min-width ou max-width
* Como parametro passar o key do schema $general-breakpoints.
*/
@mixin respond-to($breakpoint) {
  @if map-has-key($general-breakpoints, $breakpoint) {
    @media #{inspect(map-get($general-breakpoints, $breakpoint))} {
      @content;
    }
  } @else {
    @warn "Não existe o breakpoint `#{$breakpoint}`. Breakpoints disponíveis: #{map-keys($breakpoints)}.";
  }
}

/**
* Adicionar media query
*/
@mixin respond-from-to($breakpoint1, $breakpoint2) {
  @if map-has-key($map: $general-breakpoints, $key: $breakpoint1) and
    map-has-key($map: $general-breakpoints, $key: $breakpoint2)
  {
    @media #{inspect(map-get($general-breakpoints, $breakpoint1))} and #{inspect(map-get($general-breakpoints, $breakpoint2))} {
      @content;
    }
  } @else {
    @warn "No breakpoint `#{$breakpoint1}` or `#{$breakpoint2}` found. Breakpoints available: #{map-keys($general-breakpoints)}.";
  }
}

/**
//  * Mixin to show elements on only certain queries
//  */

// @mixin not-display-on($breakpoint) {
//   @include respond-to($breakpoint) {
//     display: none !important;
//   }
// }

// @mixin display-only-on($breakpoint) {
//   @include respond-to($breakpoint) {
//     display: none !important;
//   }
// }
